## prometheus-blackbox-exporter 0.3.0+ds1

=== Makefile ===
# Copyright 2016 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

GO    := GO15VENDOREXPERIMENT=1 go
PROMU := $(GOPATH)/bin/promu
pkgs   = $(shell $(GO) list ./... | grep -v /vendor/)

PREFIX                  ?= $(shell pwd)
BIN_DIR                 ?= $(shell pwd)
DOCKER_IMAGE_NAME       ?= blackbox-exporter
DOCKER_IMAGE_TAG        ?= $(subst /,-,$(shell git rev-parse --abbrev-ref HEAD))


all: format build test

style:
	@echo ">> checking code style"
	@! gofmt -d $(shell find . -path ./vendor -prune -o -name '*.go' -print) | grep '^'

test:
	@echo ">> running tests"
	@$(GO) test -short $(pkgs)

format:
	@echo ">> formatting code"
	@$(GO) fmt $(pkgs)

vet:
	@echo ">> vetting code"
	@$(GO) vet $(pkgs)

build: promu
	@echo ">> building binaries"
	@$(PROMU) build --prefix $(PREFIX)

tarball: promu
	@echo ">> building release tarball"
	@$(PROMU) tarball --prefix $(PREFIX) $(BIN_DIR)

docker:
	@echo ">> building docker image"
	@docker build -t "$(DOCKER_IMAGE_NAME):$(DOCKER_IMAGE_TAG)" .

promu:
	@GOOS=$(shell uname -s | tr A-Z a-z) \
	        GOARCH=$(subst x86_64,amd64,$(patsubst i%86,386,$(shell uname -m))) \
	        $(GO) get -u github.com/prometheus/promu


.PHONY: all style format build test vet tarball docker promu

=== debian/changelog ===
prometheus-blackbox-exporter (0.3.0+ds1-1) unstable; urgency=medium

  * Initial release (Closes: #843189)

 -- Filippo Giunchedi <filippo@debian.org>  Mon, 7 Nov 2016 00:25:52 +0000

=== debian/control ===
Source: prometheus-blackbox-exporter
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Filippo Giunchedi <filippo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               dh-systemd,
               golang-go,
               golang-github-beorn7-perks-dev,
               golang-goprotobuf-dev,
               golang-github-miekg-dns-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev,
               golang-github-sirupsen-logrus-dev,
               golang-golang-x-net-dev,
               golang-gopkg-yaml.v2-dev
Standards-Version: 3.9.8
Homepage: https://github.com/prometheus/blackbox_exporter
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus-blackbox-exporter.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus-blackbox-exporter.git
XS-Go-Import-Path: github.com/prometheus/blackbox_exporter

Package: prometheus-blackbox-exporter
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Blackbox prober for Prometheus
 The blackbox exporter allows blackbox probing of network endpoints over HTTP,
 HTTPS, DNS, TCP and ICMP. Additional modules can be defined to suit other
 needs.
 .
 Querying of endpoints happens via HTTP GET queries, by specifying the target
 name and what kind of probing to execute. Results from the probe are returned
 as a set of Prometheus metrics.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DH_GOPKG := github.com/prometheus/blackbox_exporter

METAPKG := github.com/prometheus/common

DEBVERS    ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION    ?= $(shell echo '$(DEBVERS)' | sed 's/^[[:digit:]]*://; s/[-].*//')
DEBPKGNAME ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Source: //p')
BUILDDIR := $(shell perl -w -MDebian::Debhelper::Buildsystem::golang -e \
        'print Debian::Debhelper::Buildsystem::golang->new()->get_builddir()')
REV        := $(DEBVERS)
BRANCH     := debian/sid
USER       := pkg-go-maintainers@lists.alioth.debian.org
HOSTNAME   := debian
BUILD_DATE := $(shell date --utc --date='$(DEBDATE)' +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS := -ldflags \
  " -X $(METAPKG)/version.Version=$(VERSION)\
    -X $(METAPKG)/version.Revision=$(REV)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"


%:
	dh $@ --buildsystem=golang --with=golang,systemd

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- $(BUILDFLAGS)

override_dh_auto_install:
	dh_auto_install
	# we don't want the golang source (yet?)
	rm -r debian/$(DEBPKGNAME)/usr/share/gocode
	# Rename the binary to match the debian package.
	mv -v debian/$(DEBPKGNAME)/usr/bin/blackbox_exporter \
            debian/$(DEBPKGNAME)/usr/bin/$(DEBPKGNAME)
	install -m 644 -D -v blackbox.yml debian/$(DEBPKGNAME)/etc/prometheus/blackbox.yml

gen-orig-tgz:
	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ] ; then \
	    git archive --format=tar.gz --prefix=$(DEBPKGNAME)-$(VERSION)/ \
                upstream/$(VERSION) >../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ; \
	fi

## prometheus-blackbox-exporter 0.7.0+ds1

=== Makefile ===
--- 
+++ 
@@ -11,9 +11,10 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-GO    := GO15VENDOREXPERIMENT=1 go
-PROMU := $(GOPATH)/bin/promu
-pkgs   = $(shell $(GO) list ./... | grep -v /vendor/)
+GO     := GO15VENDOREXPERIMENT=1 go
+GOPATH := $(firstword $(subst :, ,$(GOPATH)))
+PROMU  ?= $(GOPATH)/bin/promu
+pkgs    = $(shell $(GO) list ./... | grep -v /vendor/)
 
 PREFIX                  ?= $(shell pwd)
 BIN_DIR                 ?= $(shell pwd)
@@ -21,7 +22,7 @@
 DOCKER_IMAGE_TAG        ?= $(subst /,-,$(shell git rev-parse --abbrev-ref HEAD))
 
 
-all: format build test
+all: style build test
 
 style:
 	@echo ">> checking code style"
@@ -39,11 +40,11 @@
 	@echo ">> vetting code"
 	@$(GO) vet $(pkgs)
 
-build: promu
+build: $(PROMU)
 	@echo ">> building binaries"
 	@$(PROMU) build --prefix $(PREFIX)
 
-tarball: promu
+tarball: $(PROMU)
 	@echo ">> building release tarball"
 	@$(PROMU) tarball --prefix $(PREFIX) $(BIN_DIR)
 
@@ -51,10 +52,7 @@
 	@echo ">> building docker image"
 	@docker build -t "$(DOCKER_IMAGE_NAME):$(DOCKER_IMAGE_TAG)" .
 
-promu:
-	@GOOS=$(shell uname -s | tr A-Z a-z) \
-	        GOARCH=$(subst x86_64,amd64,$(patsubst i%86,386,$(shell uname -m))) \
-	        $(GO) get -u github.com/prometheus/promu
-
+$(PROMU) promu:
+	@GOOS= GOARCH= $(GO) get -u github.com/prometheus/promu
 
 .PHONY: all style format build test vet tarball docker promu

=== debian/changelog ===
prometheus-blackbox-exporter (0.7.0+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Add watchfile.
  * debian/control:
    - Add myself to Uploaders.
    - Update Standards-Version (no changes).
    - Replace golang-go with golang-any in Build-Depends.
    - Mark package as autopkgtest-able.
    - Refresh dependencies.
  * Replace debian/rules trick for creating tarballs with gbp config.

 -- Martín Ferrari <tincho@debian.org>  Fri, 14 Jul 2017 18:28:23 +0000

=== debian/control ===
--- 
+++ 
@@ -2,25 +2,24 @@
 Section: devel
 Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Filippo Giunchedi <filippo@debian.org>
+Uploaders: Filippo Giunchedi <filippo@debian.org>,
+           Martín Ferrari <tincho@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-golang,
                dh-systemd,
-               golang-go,
-               golang-github-beorn7-perks-dev,
-               golang-goprotobuf-dev,
+               golang-any,
                golang-github-miekg-dns-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-client-model-dev,
-               golang-github-prometheus-common-dev,
-               golang-github-sirupsen-logrus-dev,
+               golang-github-prometheus-common-dev (>= 0+git20170707),
                golang-golang-x-net-dev,
-               golang-gopkg-yaml.v2-dev
-Standards-Version: 3.9.8
+               golang-gopkg-yaml.v2-dev,
+Standards-Version: 4.0.0
 Homepage: https://github.com/prometheus/blackbox_exporter
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus-blackbox-exporter.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus-blackbox-exporter.git
 XS-Go-Import-Path: github.com/prometheus/blackbox_exporter
+Testsuite: autopkgtest-pkg-go
 
 Package: prometheus-blackbox-exporter
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,14 @@
 #!/usr/bin/make -f
 
-export DH_VERBOSE=1
-export DH_GOPKG := github.com/prometheus/blackbox_exporter
+# Include test fixtures.
+export DH_GOLANG_INSTALL_EXTRA := testdata/
 
 METAPKG := github.com/prometheus/common
 
 DEBVERS    ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
 VERSION    ?= $(shell echo '$(DEBVERS)' | sed 's/^[[:digit:]]*://; s/[-].*//')
 DEBPKGNAME ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Source: //p')
-BUILDDIR := $(shell perl -w -MDebian::Debhelper::Buildsystem::golang -e \
-        'print Debian::Debhelper::Buildsystem::golang->new()->get_builddir()')
+
 REV        := $(DEBVERS)
 BRANCH     := debian/sid
 USER       := pkg-go-maintainers@lists.alioth.debian.org
@@ -23,7 +22,6 @@
     -X $(METAPKG)/version.BuildUser=$(USER)\
     -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
     -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"
-
 
 %:
 	dh $@ --buildsystem=golang --with=golang,systemd
@@ -39,9 +37,3 @@
 	mv -v debian/$(DEBPKGNAME)/usr/bin/blackbox_exporter \
             debian/$(DEBPKGNAME)/usr/bin/$(DEBPKGNAME)
 	install -m 644 -D -v blackbox.yml debian/$(DEBPKGNAME)/etc/prometheus/blackbox.yml
-
-gen-orig-tgz:
-	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ] ; then \
-	    git archive --format=tar.gz --prefix=$(DEBPKGNAME)-$(VERSION)/ \
-                upstream/$(VERSION) >../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ; \
-	fi

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*\/)?v?([^\/]+)\.tar\.gz/prometheus-blackbox-exporter-$1.tar.gz/,\
    dversionmangle=s/\+ds\d*$//,uversionmangle=s/rc/~rc/" \
    https://github.com/prometheus/blackbox_exporter/tags \
    (?:.*/)?v?(\d[\d\.]*(?:rc\d*)?)\.tar\.gz

## prometheus-blackbox-exporter 0.11.0+ds

=== Makefile ===
--- 
+++ 
@@ -11,10 +11,11 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-GO     := GO15VENDOREXPERIMENT=1 go
-GOPATH := $(firstword $(subst :, ,$(GOPATH)))
-PROMU  ?= $(GOPATH)/bin/promu
-pkgs    = $(shell $(GO) list ./... | grep -v /vendor/)
+GO           := GO15VENDOREXPERIMENT=1 go
+FIRST_GOPATH := $(firstword $(subst :, ,$(shell $(GO) env GOPATH)))
+PROMU        := $(FIRST_GOPATH)/bin/promu
+STATICCHECK  := $(FIRST_GOPATH)/bin/staticcheck
+pkgs         = $(shell $(GO) list ./... | grep -v /vendor/)
 
 PREFIX                  ?= $(shell pwd)
 BIN_DIR                 ?= $(shell pwd)
@@ -22,7 +23,7 @@
 DOCKER_IMAGE_TAG        ?= $(subst /,-,$(shell git rev-parse --abbrev-ref HEAD))
 
 
-all: style build test
+all: format vet staticcheck build test
 
 style:
 	@echo ">> checking code style"
@@ -40,6 +41,10 @@
 	@echo ">> vetting code"
 	@$(GO) vet $(pkgs)
 
+staticcheck: $(STATICCHECK)
+	@echo ">> running staticcheck"
+	@$(STATICCHECK) $(pkgs)
+
 build: $(PROMU)
 	@echo ">> building binaries"
 	@$(PROMU) build --prefix $(PREFIX)
@@ -52,7 +57,10 @@
 	@echo ">> building docker image"
 	@docker build -t "$(DOCKER_IMAGE_NAME):$(DOCKER_IMAGE_TAG)" .
 
-$(PROMU) promu:
+$(FIRST_GOPATH)/bin/promu promu:
 	@GOOS= GOARCH= $(GO) get -u github.com/prometheus/promu
 
-.PHONY: all style format build test vet tarball docker promu
+$(FIRST_GOPATH)/bin/staticcheck:
+	@GOOS= GOARCH= $(GO) get -u honnef.co/go/tools/cmd/staticcheck
+
+.PHONY: all style format build test vet tarball docker promu staticcheck $(FIRST_GOPATH)/bin/promu $(FIRST_GOPATH)/bin/staticcheck

=== debian/changelog ===
prometheus-blackbox-exporter (0.11.0+ds-4) unstable; urgency=high

  * Disable completely tcp_test.go until upstream fixes the tests.
    Closes: 887070

 -- Martín Ferrari <tincho@debian.org>  Sat, 13 Jan 2018 13:41:14 +0000

prometheus-blackbox-exporter (0.11.0+ds-3) unstable; urgency=high

  * Disable a race-prone test that is causing FTBFS in many architectures
    (raise urgency).
  * Update Standards-Version.

 -- Martín Ferrari <tincho@debian.org>  Tue, 09 Jan 2018 17:41:35 +0000

prometheus-blackbox-exporter (0.11.0+ds-2) unstable; urgency=medium

  * Add missing documentation.

 -- Martín Ferrari <tincho@debian.org>  Thu, 14 Dec 2017 19:52:28 +0000

prometheus-blackbox-exporter (0.11.0+ds-1) unstable; urgency=medium

  * Replace dpkg-parsechangelog with /usr/share/dpkg/pkg-info.mk
  * New upstream release.
  * Update dependencies.
  * Automated cme updates.
  * Update fixtures location.
  * Update defaults.
  * Fix watchfile.

 -- Martín Ferrari <tincho@debian.org>  Thu, 14 Dec 2017 19:42:09 +0000

=== debian/control ===
Source: prometheus-blackbox-exporter
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Filippo Giunchedi <filippo@debian.org>,
           Martín Ferrari <tincho@debian.org>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-go-kit-kit-dev,
               golang-github-miekg-dns-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev (>= 0+git20171117),
               golang-golang-x-net-dev,
               golang-gopkg-yaml.v2-dev,
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus-blackbox-exporter.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus-blackbox-exporter.git
Homepage: https://github.com/prometheus/blackbox_exporter
XS-Go-Import-Path: github.com/prometheus/blackbox_exporter

Package: prometheus-blackbox-exporter
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: Blackbox prober for Prometheus
 The blackbox exporter allows blackbox probing of network endpoints over HTTP,
 HTTPS, DNS, TCP and ICMP. Additional modules can be defined to suit other
 needs.
 .
 Querying of endpoints happens via HTTP GET queries, by specifying the target
 name and what kind of probing to execute. Results from the probe are returned
 as a set of Prometheus metrics.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# Include test fixtures.
export DH_GOLANG_INSTALL_EXTRA := config/testdata

METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := pkg-go-maintainers@lists.alioth.debian.org
BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS := -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --buildsystem=golang --with=golang,systemd

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- $(BUILDFLAGS)

override_dh_auto_install:
	dh_auto_install -- --no-source
	# Rename the binary to match the debian package.
	mv -v debian/$(DEB_SOURCE)/usr/bin/blackbox_exporter \
            debian/$(DEB_SOURCE)/usr/bin/$(DEB_SOURCE)
	install -m 644 -D -v blackbox.yml \
	    debian/$(DEB_SOURCE)/etc/prometheus/blackbox.yml

=== debian/watch ===
version=3

opts=filenamemangle=s/(?:.*\/)?v?([^\/]+)\.tar\.gz/prometheus-blackbox-exporter-$1.tar.gz/,\
dversionmangle=s/\+ds\d*$//,\
uversionmangle=s/rc/~rc/ \
  https://github.com/prometheus/blackbox_exporter/tags \
  (?:.*/)?v?(\d[\d\.]*(?:rc\d*)?)\.tar\.gz

## prometheus-blackbox-exporter 0.12.0+ds

=== debian/changelog ===
prometheus-blackbox-exporter (0.12.0+ds-2) unstable; urgency=high

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Martín Ferrari ]
  * Backport 9d8ad26 to fix client API change. Closes: #906503.
    Raising urgency for RC bug fix.
  * debian/gbp.conf: Stop using pristine tar, and update branch names.
  * debian/control: Update Standards-Version (no changes).

 -- Martín Ferrari <tincho@debian.org>  Sun, 19 Aug 2018 03:07:32 +0000

prometheus-blackbox-exporter (0.12.0+ds-1) unstable; urgency=medium

  * New upstream release. Closes: #894130
  * debian/control: Update dependency version.
  * debian/copyright: Add Files-Excluded header.
  * debian/{postinst,init}: Use non-recursive chown.
  * Update debhelper compat to 11.

 -- Martín Ferrari <tincho@debian.org>  Mon, 26 Mar 2018 22:14:14 +0000

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,19 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-golang,
                golang-any,
                golang-github-go-kit-kit-dev,
-               golang-github-miekg-dns-dev,
+               golang-github-miekg-dns-dev (>= 1),
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev (>= 0+git20171117),
                golang-golang-x-net-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus-blackbox-exporter.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus-blackbox-exporter.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-blackbox-exporter
+Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-blackbox-exporter.git
 Homepage: https://github.com/prometheus/blackbox_exporter
 XS-Go-Import-Path: github.com/prometheus/blackbox_exporter

## prometheus-blackbox-exporter 0.13.0%2Bds

=== debian/changelog ===
prometheus-blackbox-exporter (0.13.0+ds-2) unstable; urgency=medium

  * Ask the user to have CAP_NET_RAW enabled for blackbox-exporter
    (Closes: #872997)

 -- Filippo Giunchedi <filippo@debian.org>  Sat, 19 Jan 2019 15:59:39 +0100

prometheus-blackbox-exporter (0.13.0+ds-1) unstable; urgency=medium

  [ Filippo Giunchedi ]
  * New upstream release.
  * debian/patches/03-promlog-fix.patch:
      update promlog invocation for newer golang-github-prometheus-common-dev

  [ Martín Ferrari ]
  * debian/control: Shorten version matching in depends to satisfy lintian
    and ease backports.
  * Update Standards-Version with no changes.

 -- Martín Ferrari <tincho@debian.org>  Wed, 26 Dec 2018 17:01:09 +0000

## prometheus-blackbox-exporter 0.13.0+ds

=== Makefile ===
# Copyright 2016 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

include Makefile.common

DOCKER_IMAGE_NAME       ?= blackbox-exporter

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
                golang-github-miekg-dns-dev (>= 1),
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-client-model-dev,
-               golang-github-prometheus-common-dev (>= 0+git20171117),
+               golang-github-prometheus-common-dev (>= 0+git20181119),
                golang-golang-x-net-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-blackbox-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-blackbox-exporter.git
 Homepage: https://github.com/prometheus/blackbox_exporter
@@ -25,6 +25,8 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+         debconf,
+         libcap2-bin,
 Built-Using: ${misc:Built-Using},
 Description: Blackbox prober for Prometheus
  The blackbox exporter allows blackbox probing of network endpoints over HTTP,

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
     -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"
 
 %:
-	dh $@ --buildsystem=golang --with=golang,systemd
+	dh $@ --buildsystem=golang --with=golang
 
 override_dh_auto_build:
 	dh_auto_build -O--buildsystem=golang -- $(BUILDFLAGS)

## prometheus-blackbox-exporter 0.16.0+ds

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,9 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
+# Needs to be defined before including Makefile.common to auto-generate targets
+DOCKER_ARCHS ?= amd64 armv7 arm64
+
 include Makefile.common
 
 DOCKER_IMAGE_NAME       ?= blackbox-exporter

=== debian/changelog ===
prometheus-blackbox-exporter (0.16.0+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release.
  * Drop unnecessary 02-Client_API_change.patch.
  * Drop unnecessary 03-promlog-fix.patch.
  * Add patch to revert upstream yaml.v3 dependency.
  * Update Standards-Version to 4.4.1 (debhelper-compat = 12).
  * Bump required Go version to 1.13.
  * Add myself to uploaders.
  * Skip additional network-dependent test, and only run short tests.

  [ Martina Ferrari ]
  * Update my name.
  * Improve init script.
  * Add Pre-Depends as requested by lintian.

 -- Martina Ferrari <tincho@debian.org>  Fri, 03 Jan 2020 15:53:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: prometheus-blackbox-exporter
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Filippo Giunchedi <filippo@debian.org>,
-           Martín Ferrari <tincho@debian.org>,
+           Martina Ferrari <tincho@debian.org>,
+           Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
-               golang-any,
+               golang-any (>= 2:1.13~),
                golang-github-go-kit-kit-dev,
                golang-github-miekg-dns-dev (>= 1),
                golang-github-prometheus-client-golang-dev,
@@ -15,7 +16,7 @@
                golang-github-prometheus-common-dev (>= 0+git20181119),
                golang-golang-x-net-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-blackbox-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-blackbox-exporter.git
 Homepage: https://github.com/prometheus/blackbox_exporter
@@ -23,6 +24,7 @@
 
 Package: prometheus-blackbox-exporter
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          debconf,

=== debian/rules ===
--- 
+++ 
@@ -32,3 +32,6 @@
             debian/$(DEB_SOURCE)/usr/bin/$(DEB_SOURCE)
 	install -m 644 -D -v blackbox.yml \
 	    debian/$(DEB_SOURCE)/etc/prometheus/blackbox.yml
+
+override_dh_auto_test:
+	dh_auto_test -- -short

## prometheus-blackbox-exporter 0.17.0+ds

=== debian/changelog ===
prometheus-blackbox-exporter (0.17.0+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream version.
  * Set upstream metadata fields: Repository.
  * Bump Standards-Version to 4.5.0 (rename service / init files).
  * Bump debhelper-compat version to 13.
  * Drop obsolete 02-yaml-v2.patch.
  * Drop obsolete 99-Skip_network_test.patch.
  * Update yaml build-dep package name.
  * d/control: add Rules-Requires-Root.
  * d/templates: mark description as translatable.
  * Run debconf-updatepo.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Martina Ferrari ]
  * Update my email.
  * Update team email address in Maintainer.
  * Update debian/defaults.
  * debian/control: run wrap-and-sort, and fix Section.
  * debian/dirs: Create shared directories.
  * debian/examples: Add missing example.yml.
  * debian/init: Add SysV init support.
  * debian/rules, debian/install, debian/manpages: Generate manpage and unify
    package build with other exporters.
  * debian/logrotate: Add logrotate configuration.
  * debian/watch: Consider upstream RC version naming.

 -- Martina Ferrari <tina@debian.org>  Mon, 03 Aug 2020 22:17:02 +0000

=== debian/control ===
Source: prometheus-blackbox-exporter
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Filippo Giunchedi <filippo@debian.org>,
           Martina Ferrari <tina@debian.org>,
           Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any (>= 2:1.13~),
               golang-github-go-kit-kit-dev,
               golang-github-miekg-dns-dev (>= 1),
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev (>= 0+git20181119),
               golang-golang-x-net-dev,
               golang-gopkg-yaml.v3-dev,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-blackbox-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-blackbox-exporter.git
Homepage: https://github.com/prometheus/blackbox_exporter
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/prometheus/blackbox_exporter

Package: prometheus-blackbox-exporter
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: debconf,
         libcap2-bin,
         ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: Blackbox prober for Prometheus
 The blackbox exporter allows blackbox probing of network endpoints over HTTP,
 HTTPS, DNS, TCP and ICMP. Additional modules can be defined to suit other
 needs.
 .
 Querying of endpoints happens via HTTP GET queries, by specifying the target
 name and what kind of probing to execute. Results from the probe are returned
 as a set of Prometheus metrics.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# Include test fixtures.
export DH_GOLANG_INSTALL_EXTRA := config/testdata

BUILDDIR := $(CURDIR)/build
METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := pkg-go-maintainers@lists.alioth.debian.org
BUILD_DATE  = $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION  = $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS  = -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --buildsystem=golang --with=golang \
	    --builddirectory=$(BUILDDIR)

BINNAME := $(DEB_SOURCE)
WHATIS  := "$(BINNAME) \\- Blackbox prober for Prometheus"

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	cp -v $(BUILDDIR)/bin/blackbox_exporter $(BUILDDIR)/bin/$(BINNAME)
	build/bin/$(BINNAME) --help-man > build/$(BINNAME).1
	# Remove build user/build date/go version headers, which is ugly.
	sed -i -e '/^  /d' build/$(BINNAME).1
	# Fix whatis entry.
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS) build/$(BINNAME).1
	# Remove default values as they create unwieldy long lines.
	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' build/$(BINNAME).1

override_dh_auto_install:

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- -short $(BUILDFLAGS)
endif

=== debian/watch ===
version=3

opts=filenamemangle=s/(?:.*\/)?v?([^\/]+)\.tar\.gz/prometheus-blackbox-exporter-$1.tar.gz/,\
dversionmangle=s/\+ds\d*$//,\
uversionmangle=s/-?(rc\.?\d+)/~$1/ \
  https://github.com/prometheus/blackbox_exporter/tags \
  (?:.*/)?v?(\d[\d\.]*(?:-?rc\.?\d+)?)\.tar\.gz

## prometheus-blackbox-exporter 0.18.0+ds

=== debian/changelog ===
prometheus-blackbox-exporter (0.18.0+ds-3) unstable; urgency=medium

  * Team upload.

  [ Américo Monteiro ]
  * Update Portuguese debconf translation (Closes: #982331)

  [ Adriano Rafael Gomes ]
  * Update Brazilian Portuguese debconf translation (Closes: #987435)

  [ Camaleón ]
  * Update Spanish debconf translation (Closes: #987596)

  [ Guillem Jover ]
  * Add Catalan debconf translation

 -- Guillem Jover <gjover@sipwise.com>  Fri, 28 May 2021 01:31:50 +0200

prometheus-blackbox-exporter (0.18.0+ds-2) unstable; urgency=medium

  * Team upload.

  [ Daniel Swarbrick ]
  * Bump Standards-Version to 4.5.1 (no changes).
  * d/po/de.po: remove obsolete FIXME comment

  [ Frans Spiesschaert ]
  * Add initial Dutch debconf translation (Closes: #969342).

  [ Jean-Pierre Giraud ]
  * Add initial French debconf translation (Closes: #969480).

  [ Helge Kreutzmann ]
  * Minor grammar fix in debian/templates (Closes: #968857).
  * Add initial German debconf translation (Closes: #968856).

  [ Guillem Jover ]
  * Switch to debian/watch format version 4
  * Indent debian/watch opts contents
  * Decapitalize synopsis first word
  * Move note about license location on Debian systems into a Comment field
  * Update gitlab-ci.yml from latest upstream version
  * Use $(BUILDDIR) uniformly instead of the literal build/
  * Update version.BuildUser to match the Maintainer address
  * Remove nocheck handling from override_dh_auto_test
  * Change systemd service Restart directive from always to on-failure
  * Add man:prometheus-blackbox-exporter(1) to systemd unit Documentation field
  * Use '' instead of `' in text
  * Use $() instead of `` in init script
  * Remove $syslog dependency from init script
  * Switch from /var/run to /run
  * Add missing dependency on adduser
  * Rewrite init script using start-stop-daemon
  * Unify log files removal during purge into a single entry
  * Add missing CFGFILE variable to fix init script config check
  * Remove error suppression from postinst
  * Run adduser unconditionally
  * Do not change pathname metadata if there are dpkg statoverrides in place
  * Update copyright claims
  * Update gitignore entries

 -- Guillem Jover <gjover@sipwise.com>  Fri, 29 Jan 2021 00:27:44 +0100

prometheus-blackbox-exporter (0.18.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Add 02-Enable_HTTP2.patch to facilitate building with newer
    golang-github-prometheus-common-dev package.
  * Revert unwarranted renaming of systemd service file.

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Tue, 20 Oct 2020 14:51:09 +0000

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
                golang-github-miekg-dns-dev (>= 1),
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-client-model-dev,
-               golang-github-prometheus-common-dev (>= 0+git20181119),
+               golang-github-prometheus-common-dev (>= 0.14.0~),
                golang-golang-x-net-dev,
                golang-gopkg-yaml.v3-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-blackbox-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-blackbox-exporter.git
 Homepage: https://github.com/prometheus/blackbox_exporter
@@ -26,12 +26,13 @@
 Package: prometheus-blackbox-exporter
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends},
-Depends: debconf,
+Depends: adduser,
+         debconf,
          libcap2-bin,
          ${misc:Depends},
          ${shlibs:Depends},
 Built-Using: ${misc:Built-Using},
-Description: Blackbox prober for Prometheus
+Description: blackbox prober for Prometheus
  The blackbox exporter allows blackbox probing of network endpoints over HTTP,
  HTTPS, DNS, TCP and ICMP. Additional modules can be defined to suit other
  needs.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 METAPKG := github.com/prometheus/common
 
 BRANCH     := debian/sid
-USER       := pkg-go-maintainers@lists.alioth.debian.org
+USER       := team+pkg-go@tracker.debian.org
 BUILD_DATE  = $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
     +%Y%m%d-%H:%M:%S)
 GO_VERSION  = $(shell go version | sed 's/go version \(\S*\).*/\1/')
@@ -31,17 +31,15 @@
 	dh_auto_build -- $(BUILDFLAGS)
 	# Rename the binary to match the debian package.
 	cp -v $(BUILDDIR)/bin/blackbox_exporter $(BUILDDIR)/bin/$(BINNAME)
-	build/bin/$(BINNAME) --help-man > build/$(BINNAME).1
+	$(BUILDDIR)/bin/$(BINNAME) --help-man > $(BUILDDIR)/$(BINNAME).1
 	# Remove build user/build date/go version headers, which is ugly.
-	sed -i -e '/^  /d' build/$(BINNAME).1
+	sed -i -e '/^  /d' $(BUILDDIR)/$(BINNAME).1
 	# Fix whatis entry.
-	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS) build/$(BINNAME).1
+	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS) $(BUILDDIR)/$(BINNAME).1
 	# Remove default values as they create unwieldy long lines.
-	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' build/$(BINNAME).1
+	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' $(BUILDDIR)/$(BINNAME).1
 
 override_dh_auto_install:
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_test -- -short $(BUILDFLAGS)
-endif

=== debian/watch ===
version=4
opts=filenamemangle=s/(?:.*\/)?v?([^\/]+)\.tar\.gz/prometheus-blackbox-exporter-$1.tar.gz/,\
     dversionmangle=s/\+ds\d*$//,\
     uversionmangle=s/-?(rc\.?\d+)/~$1/ \
  https://github.com/prometheus/blackbox_exporter/tags \
  (?:.*/)?v?(\d[\d\.]*(?:-?rc\.?\d+)?)\.tar\.gz

## prometheus-blackbox-exporter 0.19.0

=== debian/changelog ===
prometheus-blackbox-exporter (0.19.0-1ubuntu0.3) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update

 -- Allen Huang <allen.huang@canonical.com>  Fri, 15 Nov 2024 22:57:26 +0000

prometheus-blackbox-exporter (0.19.0-1ubuntu0.2) jammy-security; urgency=medium

  * No change build due to golang-1.18 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 02 May 2023 18:07:21 +0530

prometheus-blackbox-exporter (0.19.0-1ubuntu0.1) jammy-security; urgency=medium

  * No-change rebuild for golang-golang-x-text 

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Thu, 02 Feb 2023 18:20:51 +0100

prometheus-blackbox-exporter (0.19.0-1) unstable; urgency=medium

  * Team upload.
  * Update gitlab-ci.yml from its new refactored template.
  * Update gbp.conf following latest Go Team workflow.
  * Update debian/watch file.
  * Use dh-sequence-golang instead of dh-golang and --with=golang.
  * Switch to Standards-Version 4.6.0 (no changes needed).
  * Add Repository-Browse upstream metadata field.
  * Update Catalan debconf translation.
  * Remove Files-Excluded from debian/copyright.
  * Refresh and remove patches for new upstream release.
  * Update dependencies for new upstream release.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 30 Nov 2021 23:21:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: prometheus-blackbox-exporter
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Filippo Giunchedi <filippo@debian.org>,
            Martina Ferrari <tina@debian.org>,
            Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
@@ -7,16 +8,19 @@
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-golang,
+               dh-sequence-golang,
                golang-any (>= 2:1.13~),
+               golang-github-andybalholm-brotli-dev,
                golang-github-go-kit-kit-dev,
                golang-github-miekg-dns-dev (>= 1),
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev (>= 0.14.0~),
+               golang-github-prometheus-exporter-toolkit-dev,
                golang-golang-x-net-dev,
+               golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v3-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-blackbox-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-blackbox-exporter.git
 Homepage: https://github.com/prometheus/blackbox_exporter

## prometheus-blackbox-exporter 0.23.0

=== debian/changelog ===
prometheus-blackbox-exporter (0.23.0-4) unstable; urgency=medium

  * Add new 03-Fallback_to_IPv4_localhost_in_gRPC_tests.patch, to address the
    issue of localhost not resolving to ::1 in reproducible builds
    environment.

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 04 Jan 2023 23:34:41 +0000

prometheus-blackbox-exporter (0.23.0-3) unstable; urgency=medium

  * Re-enable insecure gRPC probing (thanks Shengjing Zhu for pointing out
    that this is possible with a less intrusive patch)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 03 Jan 2023 12:16:54 +0000

prometheus-blackbox-exporter (0.23.0-2) unstable; urgency=medium

  * Refactor 03-disable-flaky-grpc-tests.patch into
    02-disable-insecure-grpc.patch, since the reason for the tests failing is
    that we have to strip out insecure gRPC support.
  * Bump Standards-Version to 4.6.2 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 03 Jan 2023 11:11:15 +0000

prometheus-blackbox-exporter (0.23.0-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release (fixes CVE-2022-46146)
  * Drop unused build-dep golang-golang-x-text-dev
  * Bump minimum required golang-github-prometheus-exporter-toolkit-dev
    to 0.8.2

  [ Guillem Jover ]
  * Remove --help output from default file

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 03 Dec 2022 04:57:29 +0000

prometheus-blackbox-exporter (0.22.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Bump minimum required Go version to 1.16
  * Add new 03-disable-flaky-grpc-tests.patch (Closes: #1020084)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 18 Sep 2022 15:30:00 +0000

prometheus-blackbox-exporter (0.21.1-1) unstable; urgency=medium

  * New upstream release
  * Add new build-dep golang-golang-x-text-dev
  * Bump version constraint on golang-github-prometheus-common-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 13 Sep 2022 14:37:13 +0000

prometheus-blackbox-exporter (0.20.0-1) unstable; urgency=medium

  * New upstream version (Closes: #1010054)
  * Disable insecure gRPC due to outdated dependencies (awaiting experimental
    golang-google-grpc-dev package re-upload to unstable)
  * Bump Standards-Version to 4.6.1 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 07 Sep 2022 21:50:01 +0000

prometheus-blackbox-exporter (0.19.0-2) unstable; urgency=medium

  * Team upload.
  * Update default file for new upstream release.
  * Install NOTICE file for Apache-2.0 license compliance.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 15 Mar 2022 23:05:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,26 @@
 Source: prometheus-blackbox-exporter
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Filippo Giunchedi <filippo@debian.org>,
            Martina Ferrari <tina@debian.org>,
-           Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
+           Daniel Swarbrick <dswarbrick@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
-               golang-any (>= 2:1.13~),
+               golang-any (>= 2:1.16~),
                golang-github-andybalholm-brotli-dev,
-               golang-github-go-kit-kit-dev,
-               golang-github-miekg-dns-dev (>= 1),
+               golang-github-go-kit-log-dev,
+               golang-github-miekg-dns-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-client-model-dev,
-               golang-github-prometheus-common-dev (>= 0.14.0~),
-               golang-github-prometheus-exporter-toolkit-dev,
+               golang-github-prometheus-common-dev (>= 0.33.0~),
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.2),
                golang-golang-x-net-dev,
+               golang-google-grpc-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v3-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-blackbox-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-blackbox-exporter.git
 Homepage: https://github.com/prometheus/blackbox_exporter

=== debian/rules ===
--- 
+++ 
@@ -21,8 +21,7 @@
     -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"
 
 %:
-	dh $@ --buildsystem=golang --with=golang \
-	    --builddirectory=$(BUILDDIR)
+	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)
 
 BINNAME := $(DEB_SOURCE)
 WHATIS  := "$(BINNAME) \\- Blackbox prober for Prometheus"

## prometheus-blackbox-exporter 0.24.0

=== debian/changelog ===
prometheus-blackbox-exporter (0.24.0-2ubuntu0.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 18 Jul 2025 16:48:10 +1000

prometheus-blackbox-exporter (0.24.0-2ubuntu0.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 07 Nov 2024 13:49:52 +1000

prometheus-blackbox-exporter (0.24.0-2ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 15 Jul 2024 13:28:17 +0530

prometheus-blackbox-exporter (0.24.0-2) unstable; urgency=medium

  * debian/rules: fix override_dh_auto_install and remove superfluous entry
    from debian/install
  * debian/rules: mv instead of cp blackbox_exporter in dh_auto_build
  * Add missing Build-Depends:
    - golang-github-alecthomas-units-dev
    - golang-github-pkg-errors-dev (Closes: #1058505)
    - golang-gopkg-yaml.v2-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 22 Dec 2023 10:54:46 +0000

prometheus-blackbox-exporter (0.24.0-1) unstable; urgency=medium

  * New upstream release
  * Add new 04-Revert_kingpin_import_path.patch
  * Bump minimum required golang-github-prometheus-common-dev version to
    0.42.0

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 14 Jun 2023 12:34:02 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: prometheus-blackbox-exporter
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Filippo Giunchedi <filippo@debian.org>,
            Martina Ferrari <tina@debian.org>,
            Daniel Swarbrick <dswarbrick@debian.org>,
@@ -9,16 +10,19 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any (>= 2:1.16~),
+               golang-github-alecthomas-units-dev,
                golang-github-andybalholm-brotli-dev,
                golang-github-go-kit-log-dev,
                golang-github-miekg-dns-dev,
+               golang-github-pkg-errors-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-client-model-dev,
-               golang-github-prometheus-common-dev (>= 0.33.0~),
+               golang-github-prometheus-common-dev (>= 0.42.0),
                golang-github-prometheus-exporter-toolkit-dev (>= 0.8.2),
                golang-golang-x-net-dev,
                golang-google-grpc-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
+               golang-gopkg-yaml.v2-dev,
                golang-gopkg-yaml.v3-dev,
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-blackbox-exporter

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)
 	# Rename the binary to match the debian package.
-	cp -v $(BUILDDIR)/bin/blackbox_exporter $(BUILDDIR)/bin/$(BINNAME)
+	mv -v $(BUILDDIR)/bin/blackbox_exporter $(BUILDDIR)/bin/$(BINNAME)
 	$(BUILDDIR)/bin/$(BINNAME) --help-man > $(BUILDDIR)/$(BINNAME).1
 	# Remove build user/build date/go version headers, which is ugly.
 	sed -i -e '/^  /d' $(BUILDDIR)/$(BINNAME).1
@@ -38,7 +38,8 @@
 	# Remove default values as they create unwieldy long lines.
 	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' $(BUILDDIR)/$(BINNAME).1
 
-override_dh_auto_install:
-
 override_dh_auto_test:
 	dh_auto_test -- -short $(BUILDFLAGS)
+
+override_dh_auto_install:
+	dh_auto_install -- --no-source
